<div class="m-2">
    <div>
        <div *ngIf="!isEditPage"><span><b>User Management > User > <i>Add</i></b></span></div>
        <div *ngIf="isEditPage"><span><b>User Management > User > <i>Edit</i></b></span></div>
    </div>
    <div class="create-admin card mt-3">
        <div class="card-header">
            <span *ngIf="isEditPage"><b>Edit Nollysoft Admin</b></span>
            <span *ngIf="!isEditPage"><b>Add Nollysoft Admin</b></span>
        </div>
        <div *ngIf="user" class="card-body">
            <div class="col-12 pt-1">
                <h6>NOTE : </h6>
                <span class="text-danger">
                    <small>* </small><small
                    jhiTranslate="userManagement.notes.required">All fields are required.</small>
                </span>
            </div>



            <form name="adminForm" role="form" novalidate #adminForm="ngForm">
                <div class="modal-body">

                    <div class="row mt-3 mobile-flex">
                        <div class="row col-6 form-group custom-input">
                            <div class="col-4"><span>Email:</span></div>
                            <div class="col-8">
                                <input type="email" name="email" class="w-100 form-control" [(ngModel)]="user.email"
                                       required (input)="user.login = user.email" [disabled]="isEditPage"
                                       #emailInput="ngModel" minlength="5" maxlength="50"
                                       pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,3}$"
                                       (input)="user.email = user.email.toLowerCase(); checkEmailDomain()">
                                <div *ngIf="submitted && emailInput.invalid">
                                    <small class="form-text text-danger"
                                           *ngIf="emailInput.errors.required" jhiTranslate="entity.validation.required">
                                        This field is required.
                                    </small>
                                    <small class="form-text text-danger"
                                           *ngIf="emailInput.errors.pattern" jhiTranslate="entity.validation.pattern">
                                        Invalid Email format.
                                    </small>
                                    <small class="form-text text-danger"
                                           *ngIf="emailInput.errors.maxlength"
                                           jhiTranslate="entity.validation.maxlength"
                                           translateValues="{maxlength: '100'}">
                                        This field cannot be longer than 100 characters.
                                    </small>

                                    <small class="form-text text-danger"
                                           *ngIf="emailInput.errors.minlength"
                                           jhiTranslate="entity.validation.minlength"
                                           translateValues="{minlength: '5'}">
                                        This field is required to be at least 5 characters.
                                    </small>

                                    <small class="form-text text-danger"
                                           *ngIf="emailInput.errors.email"
                                           jhiTranslate="global.messages.validate.email.invalid">
                                        Your email is invalid.
                                    </small>
                                </div>
                                <div *ngIf="submitted && !domainMatch">
                                    <small class="form-text text-danger" jhiTranslate="entity.validation.domainError"
                                           translateValues="{domain: '{{tenantDomain}}'}">
                                        Company URL and the email's domain should match.
                                    </small>
                                </div>
                            </div>
                        </div>
                        <div class="row col-6 form-group custom-input">
                            <div *ngIf="isEditPage" class="col-4"><span>Login:</span></div>
                            <div *ngIf="!isEditPage" class="col-4"><span>Username:</span></div>
                            <div class="col-8">
                                <input type="text" name="login" class="w-100 form-control" readonly
                                       [(ngModel)]="user.login" required>
                            </div>
                        </div>
                    </div>
                    <div class="row mt-2 mobile-flex">
                        <div class="row col-6 form-group custom-input">
                            <div class="col-4"><span>First Name:</span></div>
                            <div class="col-8">
                                <input type="text" name="firstname" class="w-100 form-control"
                                       [(ngModel)]="user.firstName" #firstNameInput="ngModel" required>
                                <div *ngIf="submitted && firstNameInput.invalid">
                                    <small class="form-text text-danger"
                                           *ngIf="firstNameInput.errors.required"
                                           jhiTranslate="entity.validation.required">
                                        This field is required.
                                    </small>
                                </div>
                            </div>
                        </div>
                        <div class="row col-6 form-group custom-input">
                            <div class="col-4"><span>Last name:</span></div>
                            <div class="col-8"><input type="text" name="lastname" class="w-100 form-control"
                                                      [(ngModel)]="user.lastName" #lastNameInput="ngModel" required>
                                <div *ngIf="submitted && lastNameInput.invalid">
                                    <small class="form-text text-danger"
                                           *ngIf="lastNameInput.errors.required"
                                           jhiTranslate="entity.validation.required">
                                        This field is required.
                                    </small>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row mt-2 mobile-flex">
                        <div class="row col-6 form-group custom-input">
                            <div class="col-4"><span>Title:</span></div>
                            <div class="col-8"><input type="text" name="title" class="w-100 form-control"
                                                      [(ngModel)]="user.title" #titleInput="ngModel" required>
                                <div *ngIf="submitted && titleInput.invalid">
                                    <small class="form-text text-danger"
                                           *ngIf="titleInput.errors.required" jhiTranslate="entity.validation.required">
                                        This field is required.
                                    </small>
                                </div>
                            </div>
                        </div>
                        <div class="row col-6 form-group custom-input">
                            <div class="col-4"><span>Gender:</span></div>
                            <div class="col-8">
                                <div class="d-flex">
                                    <label for="male" class="col-6 ml-2">
                                        <input id="male" name="radio" type="radio" [value]="GENDER.MALE"
                                               [(ngModel)]="user.gender"
                                               required #gender="ngModel">Male
                                    </label>
                                    <label for="female" class="col-6">
                                        <input id="female" name="radio" type="radio" [value]="GENDER.FEMALE"
                                               [(ngModel)]="user.gender"
                                               required #gender="ngModel">Female
                                    </label>
                                </div>
                                <div *ngIf="submitted && gender.invalid">
                                    <small class="form-text text-danger"
                                           *ngIf="gender.errors.required" jhiTranslate="entity.validation.required">
                                        This field is required.
                                    </small>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row mt-2 mobile-flex">
                        <div class="row col-6 form-group custom-input">
                            <div class="col-4"><span>Salutation:</span></div>
                            <div class="col-8"><input type="text" name="salutation" class="w-100 form-control"
                                                      [(ngModel)]="user.salutation" #salutationInput="ngModel" required>
                                <div *ngIf="submitted && salutationInput.invalid">
                                    <small class="form-text text-danger"
                                           *ngIf="salutationInput.errors.required"
                                           jhiTranslate="entity.validation.required">
                                        This field is required.
                                    </small>
                                </div>
                            </div>
                        </div>
                        <div class="row col-6 form-group custom-input">
                            <div class="col-4"><span>Phone:</span></div>
                            <div class="col-8">
                                <international-phone-number [(ngModel)]="user.phone" placeholder=""
                                                            name="phone" [required]="true" #phone="ngModel">
                                </international-phone-number>
                                <div *ngIf="submitted && phone.invalid">
                                    <small class="form-text text-danger"
                                           *ngIf="phone.errors.required"
                                           jhiTranslate="entity.validation.required">
                                        This field is required.
                                    </small>
                                    <small class="form-text text-danger"
                                           jhiTranslate="entity.validation.invalidPhoneNumber">
                                        Invalid phone number.
                                    </small>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row mt-2 mobile-flex">
                        <div class="row col-6 form-group custom-input">
                            <div class="col-4"><span>Language:</span></div>
                            <div class="col-8">
                                <div *ngIf="languages && languages.length > 0">
                                    <div class="w-100 btn-group" dropdown>
                                        <button dropdownToggle type="button"
                                                class="btn custom-dropdown dropdown-toggle form-control" required>
                                            {{user.langKey ? (user.langKey | findLanguageFromKey) : '' }}
                                        </button>
                                        <ul *dropdownMenu class="dropdown-menu w-100 max-height" role="menu">
                                            <li *ngFor="let language of languages " role="menuitem">
                                                <a class="dropdown-item" href="javascript:"
                                                   (click)="user.langKey=language;">
                                                    {{language | findLanguageFromKey}}</a>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                                <div *ngIf="submitted && !user.langKey">
                                    <small class="form-text text-danger" jhiTranslate="entity.validation.required">
                                        This field is required.
                                    </small>
                                </div>
                            </div>
                        </div>
                        <div *ngIf="isEditPage" class="row col-6 form-group custom-input">
                            <div class="col-4"><span>Status:</span></div>
                            <div class="col-8">
                                <label class="pl-4 d-flex">
                                    <input type="checkbox" name="activated" [(ngModel)]="user.activated" readonly disabled>
                                    <span class="pl-3">Activated</span>
                                </label>
                            </div>
                        </div>
                    </div>
                </div>
                <div>
                    <div class="action-div mb-5">
                        <jhi-button (click)="cancel()" cancel-lg>Cancel</jhi-button>
                        <jhi-button *ngIf="isEditPage"
                                    [routerLink]="['/', { outlets: { popup: 'user-management/'+ user.login + '/delete'} }]"
                                    replaceUrl="true" delete-user>Delete
                        </jhi-button>
                        <jhi-button
                            save-lg (click)="save()">Save
                        </jhi-button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
